- Qt 5.5
- Qt Multimedia
- C++ Classes
- QImageEncoderControl
- Qt 5.5.1 Reference Documentation

# QImageEncoderControl Class

The QImageEncoderControl class provides access to the settings of a media service that performs image encoding. More...

Header: | #include <QImageEncoderControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QImageEncoderControl()
virtual QString | imageCodecDescription(const QString & codec) const = 0
virtual QImageEncoderSettings | imageSettings() const = 0
virtual void | setImageSettings(const QImageEncoderSettings & settings) = 0
virtual QStringList | supportedImageCodecs() const = 0
virtual QList<QSize> | supportedResolutions(const QImageEncoderSettings & settings, bool * continuous = 0) const = 0

## Protected Functions

| QImageEncoderControl(QObject * parent = 0)

## Macros

| QImageEncoderControl_iid

## Detailed Description

The QImageEncoderControl class provides access to the settings of a media service that performs image encoding.

If a QMediaService supports encoding image data it will implement QImageEncoderControl. This control allows to set image encoding settings and provides functions for quering supported image codecs and resolutions.

The interface name of QImageEncoderControl is `org.qt-project.qt.imageencodercontrol/5.0` as defined in QImageEncoderControl_iid.

See also QImageEncoderSettings and QMediaService::requestControl().

## Member Function Documentation

### `[protected]` QImageEncoderControl::QImageEncoderControl(QObject * parent = 0)

Constructs a new image encoder control object with the given parent

### `[virtual]` QImageEncoderControl::~QImageEncoderControl()

Destroys the image encoder control.

### `[pure virtual]` QString QImageEncoderControl::imageCodecDescription(const QString & codec) const

Returns a description of an image codec.

### `[pure virtual]` QImageEncoderSettings QImageEncoderControl::imageSettings() const

Returns the currently used image encoder settings.

The returned value may be different tha passed to QImageEncoderControl::setImageSettings() if the settings contains the default or undefined parameters. In this case if the undefined parameters are already resolved, they should be returned.

See also setImageSettings().

### `[pure virtual]` void QImageEncoderControl::setImageSettings(const QImageEncoderSettings & settings)

Sets the selected image encoder settings.

See also imageSettings().

### `[pure virtual]` QStringList QImageEncoderControl::supportedImageCodecs() const

Returns a list of supported image codecs.

### `[pure virtual]` QList<QSize> QImageEncoderControl::supportedResolutions(const QImageEncoderSettings & settings, bool * continuous = 0) const

Returns a list of supported resolutions.

If non null image settings parameter is passed, the returned list is reduced to resolutions supported with partial settings applied. It can be used to query the list of resolutions, supported by specific image codec.

If the encoder supports arbitrary resolutions within the supported resolutions range, *continuous is set to true, otherwise *continuous is set to false.

## Macro Documentation

### QImageEncoderControl_iid

`org.qt-project.qt.imageencodercontrol/5.0`

Defines the interface name of the QImageEncoderControl class.